# ITAT Challenge

Mit erfolgreich bestandener Challenge können Sie Ihr Klausurergebnis um 0,3 Notenpunkte verbessern, sofern die Klausur grundsätzlich bestanden ist (4,0 oder besser)!
- Die Challenge ist freiwillig
- Team bis zu 3 Studierende (1-3 möglich)
- Alle sitzen in einem Boot (Gruppe besteht oder nicht)

## Aufgabe
Entwickeln Sie ein Tool, dass Prof. Barth eine Übersicht mindestens einer Sportart (Olympia, z.B. 100 Meter-Lauf) oder des Turniers (EM 2024) gibt:
- Tabellen
- Mannschaften, Sportler*innen
- Rankings etc.
Die teilnehmenden Sportler*innen (Olympia) bzw. Mannschaften (EM) können bereits von Ihnen implementiert werden.
Die Ergebnisse müssen von Prof. Barth eingetragen werden können.
Die resultierenden Standings, Tabellen, Statistiken sollen von Ihrer Software generiert und dargestellt werden.
Zusätzlich soll Ihre Software Statistiken generieren, wie hoch die Siegwahrscheinlichkeit eines/r Sportler*in oder eines Teams auf Basis des Verlaufs ist.

## Anforderungen
- Saubere Nutzung von git (branching, commit messages, merging) in einem private Repository auf der KIT GitLab Instanz mit dem Namen "ITAT_Challenge_2024_<Projektname>"
- Arbeit in einer Gruppe von bis zu 3 Personen ist erlaubt
- Das Programm muss für die Prüfer kompilierbar sein ohne zusätzliche Hardware- oder Softwareanforderungen (also keine Einbindung von Bibliotheken, die zusätzlich installiert werden müssten)
  - Ausnahme ist die Nutzung von Qt6 als Framework zur Erstellung einer grafischen Benutzeroberfläche (graphical user interface, GUI), falls das gewünscht ist
  - ansonsten nur die C++ Standard Libraries 
  - C++17
  - g++ Compiler
- Das Programm sollte sinnvolle Verwendung der Vorlesungs- und Übungskonzepte aufweisen (d.h. es wird OOP, Vererbung, Pointer und Datenstrukturen erwartet)
- Ausfürliche Dokumentation in der README.md (Projektname, Namen und Matrikelnummern der Ersteller, textuelle Beschreibung, UML-Modelle mit zumindest einem Klassendiagramm)
- Beispielhaftes Klassendiagramm (kann z.B. mit DrawIO oder Papyrus erstellt werden): ![UML](Klassendiagramm-Roller-Tankstelle.png)


## Abgabe

Fügen Sie Marcel Auer (marcel.auer) und Marwin Madsen (marwin.madsen) bis **16.08.2024** zu dem Repository hinzu. 